%define piname	iacfleet_pi

Name:		opencpn-iacfleet-plugin
Summary:	Plugin for OpenCpn for visualizing data in weather bulletins
Version:	0.21.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
Source0:	https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
IAC Fleet Code plugin for opencpn visualizes the encoded data issued as part of
the weather bulletins.

The IAC Fleet Code provides size effective encoded synoptic charts for several
areas of the world, especially useful with slow and limited connection to the
Internet.

Coverage areas:
* South Pacific weather issued by Fiji Meteorologica Service in Nadi and
available from Saildocs
* Weather over Brazil and adjacent parts of Pacific and Atlantic oceans,
including direct download of the data from the Internet
* Weather analysis and 24 hour forecast for North Atlantic and Europe
issued by NOAA, including direct download of the data from the Internet.

%prep
%setup -q -n %{piname}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sat Jul 31 2021 philippedidier <philippedidier> 0.21.1-1.mga8
+ Revision: 1738345
- correct typo
- build with wxgtku3.0 absolutely needed instead of 3.1
- modify Source0 URL

* Fri Jan 01 2021 wally <wally> 0.21-6.mga8
+ Revision: 1667712
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.21-5.mga8
+ Revision: 1614353
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.21-4.mga8
+ Revision: 1539487
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.21-3.mga8
+ Revision: 1459478
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 0.21-2.mga8
+ Revision: 1421017
- rebuild with gtk3 enabled wxgtk 3.1.2

* Wed Mar 13 2019 barjac <barjac> 0.21-1.mga7
+ Revision: 1375634
- new version 0.21

* Wed Jan 30 2019 barjac <barjac> 0.20-1.mga7
+ Revision: 1361977
- new version 0.20

* Sun Sep 23 2018 umeabot <umeabot> 0.10-3.mga7
+ Revision: 1299995
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.10-2.mga7
+ Revision: 1239508
- fix build on aarch64

* Wed Apr 11 2018 barjac <barjac> 0.10-1.mga7
+ Revision: 1217679
- new version 0.10

* Sat Jun 03 2017 akien <akien> 0.9-2.mga6
+ Revision: 1106111
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 0.9-1.mga6
+ Revision: 1059876
- new version 0.9
- fix files list

* Thu Jun 02 2016 daviddavid <daviddavid> 0.8-4.mga6
+ Revision: 1019831
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 0.8-3.mga6
+ Revision: 962340
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 961931
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 0.8-1.mga6
+ Revision: 908773
- new package opencpn-iacfleet-plugin

